<!--
  Generated template for the IncidenteAddPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
    <ion-navbar color="primary">
      <button ion-button menuToggle>
        <ion-icon name="menu"></ion-icon>
      </button>
      <img src="./assets/imgs/blumar_logo.png" alt="" width="100" class="icono">
    </ion-navbar>
  </ion-header>

<ion-content padding>
  <ion-list>
    <ion-list-header>Selecciona una Zona:</ion-list-header>
    <ion-item>
      <ion-label>Zona:</ion-label>
      <ion-select value="" okText="Seleccionar" cancelText="Cancelar" (ionChange)="onChange($event)">
        <ion-option value="" disabled="true"> --Seleccione-- </ion-option>
        <ion-option *ngFor="let zona of Zonas" value="{{zona.Cod}}">{{zona.Nombre}}</ion-option>
      </ion-select>
    </ion-item>
  </ion-list>
  <div *ngIf='zona != null'>
    <ion-grid>
      <ion-row>
        <ion-col>
          Zona
        </ion-col>
        <ion-col>
          Gravedad
        </ion-col>
      </ion-row>
      <ion-row *ngFor='let riesgo of Riesgos' (click)="onClick(riesgo.Riesgo, riesgo.CodRiesgo)">
        <ion-col hidden *ngIf='riesgo.CodZona == zona'>
          {{riesgo.CodRiesgo}}
        </ion-col>
        <ion-col *ngIf='riesgo.CodZona == zona'>
          {{riesgo.Riesgo}}
        </ion-col>
        <ion-col *ngIf='riesgo.CodZona == zona'>
          <ion-content *ngIf='riesgo.Gravedad == 1' class="muyleve"></ion-content>
          <ion-content *ngIf='riesgo.Gravedad == 2' class="leve"></ion-content>
          <ion-content *ngIf='riesgo.Gravedad == 3' class="medio"></ion-content>
          <ion-content *ngIf='riesgo.Gravedad == 4' class="alto"></ion-content>
          <ion-content *ngIf='riesgo.Gravedad == 5' class="muyalto"></ion-content>
        </ion-col>
      </ion-row>
    </ion-grid>
    <div *ngIf='riesgo != null'>
      <ion-item>
        <ion-label>Riesgo:</ion-label>
        <ion-input value="{{riesgo}}" disabled></ion-input>
      </ion-item>
      <ion-item>
        <ion-label>Descripcion:</ion-label>
        <ion-textarea [(ngModel)]="Desc"></ion-textarea>
      </ion-item>
      <ion-item>
        <ion-label>Causa Probable:</ion-label>
        <ion-textarea [(ngModel)]="Causa"></ion-textarea>
      </ion-item>
      <ion-item>
        <ion-label>Fecha Incidente:</ion-label>
        <ion-datetime 
         displayFormat="DD/MM/YYYY" 
         monthNames="Enero, Febrero, Marzo, Abril, Mayo, Junio, Julio, Agosto, Septiembre, Octubre, Noviembre, Diciembre" 
         monthShortNames="Ene, Feb, Mar, Abr, May, Jun, Jul, Ago, Sep, Oct, Nov, Dic" 
         pickerFormat="DD MMMM YYYY" 
         [(ngModel)]="Fecha" 
         cancelText="Cancelar" doneText="Aceptar" ></ion-datetime>
      </ion-item>
      <ion-item>
        <ion-label>¿Quién informa el reclamo?</ion-label>
        <ion-select value="" okText="Seleccionar" cancelText="Cancelar" (ionChange)="onCargo($event)">
          <ion-option value="" disabled="true"> --Seleccione-- </ion-option>
          <ng-container *ngFor="let respuesta of Respuestas">
            <ion-option value="{{respuesta.Valor}}" *ngIf='respuesta.CodPregunta == 1'>
              {{respuesta.Respuesta}}
            </ion-option>
          </ng-container>
        </ion-select>
      </ion-item>
      <div>
        <ion-item>
          <ion-label>Seleccione un Responsable:</ion-label>
          <ion-select value="" okText="Seleccionar" cancelText="Cancelar" (ionChange)="onLider($event)">
            <ion-option value="" disabled="true"> --Seleccione-- </ion-option>
            <ng-container *ngFor="let lider of Lideres">
              <ion-option value="{{lider.Cod}}">
                {{lider.Nombre}} {{lider.ApellidoPaterno}} | {{lider.Nivel}}
              </ion-option>
            </ng-container>
          </ion-select>
        </ion-item>
      </div>
      <ion-item>
        <ion-label>¿Cuál es el impacto en la operación?</ion-label>
        <ion-select value="" okText="Seleccionar" cancelText="Cancelar" (ionChange)="onOperacion($event)">
          <ion-option value="" disabled="true"> --Seleccione-- </ion-option>
          <ng-container *ngFor="let respuesta of Respuestas">
            <ion-option value="{{respuesta.Valor}}" *ngIf='respuesta.CodPregunta == 2'>
              {{respuesta.Respuesta}}
            </ion-option>
          </ng-container>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label>¿Cuál es el alcance del incidente?</ion-label>
        <ion-select value="" okText="Seleccionar" cancelText="Cancelar" (ionChange)="onAlcance($event)">
          <ion-option value="" disabled="true"> --Seleccione-- </ion-option>
          <ng-container *ngFor="let respuesta of Respuestas">
            <ion-option value="{{respuesta.Valor}}" *ngIf='respuesta.CodPregunta == 3'>
              {{respuesta.Respuesta}}
            </ion-option>
          </ng-container>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label>¿Cuáles son los daños a las personas?</ion-label>
        <ion-select value="" okText="Seleccionar" cancelText="Cancelar" (ionChange)="onSalud($event)">
          <ion-option value="" disabled="true"> --Seleccione-- </ion-option>
          <ng-container *ngFor="let respuesta of Respuestas">
            <ion-option value="{{respuesta.Valor}}" *ngIf='respuesta.CodPregunta == 4'>
              {{respuesta.Respuesta}}
            </ion-option>
          </ng-container>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label>¿Cuáles son los daños al medio ambiente?</ion-label>
        <ion-select value="" okText="Seleccionar" cancelText="Cancelar" (ionChange)="onAmbiente($event)">
          <ion-option value="" disabled="true"> --Seleccione-- </ion-option>
          <ng-container *ngFor="let respuesta of Respuestas">
            <ion-option value="{{respuesta.Valor}}" *ngIf='respuesta.CodPregunta == 5'>
              {{respuesta.Respuesta}}
            </ion-option>
          </ng-container>
        </ion-select>
      </ion-item>
      <div size="6">
        <button ion-button color="primary" (click)="POSTIncidente()">
          Agregar
        </button>
      </div>
    </div>
  </div>
</ion-content>